# Functor Interval.Make

    module Make: functor (Bound : sig
    type t

    include Comparable.S

    val t_of_sexp : Sexplib.Sexp.t -> t
    val sexp_of_t : t -> Sexplib.Sexp.t
    val bin_t : t Core_kernel.Std.Bin_prot.Type_class.t
    val bin_read_t : t Core_kernel.Std.Bin_prot.Read.reader
    val __bin_read_t__ : (int -> t) Core_kernel.Std.Bin_prot.Read.reader
    val bin_reader_t : t Core_kernel.Std.Bin_prot.Type_class.reader
    val bin_size_t : t Core_kernel.Std.Bin_prot.Size.sizer
    val bin_write_t : t Core_kernel.Std.Bin_prot.Write.writer
    val bin_writer_t : t Core_kernel.Std.Bin_prot.Type_class.writerend) -> S  with type bound = Bound.t

Parameters:

`Bound` | : | `sig type t with bin_io, sexp include Comparable.S with type t := t end`